import { CacheType, ChatInputCommandInteraction, Message, PermissionFlagsBits, SlashCommandBuilder } from 'discord.js';
import ConfigController from '../controller/ConfigController';
import EcoController from '../controller/EcoController';
import { Command } from '.';

export default {
  data: new SlashCommandBuilder()
    .setName('remove_link')
    .setDescription('Remove link Discord and Game accaunt')
    .setDescriptionLocalization("ru", "Связь Discord и Игрового аккаунта")
    .addUserOption(opt => opt.setName("user").setDescription("Discord user").setRequired(true)),
  async execute(interaction) {
    var user = interaction.options.getUser('user')

    await interaction.deferReply({ ephemeral: true })

    try {
      if (!!user) {
        global.config.users.delete(user.id)
        global.config.authCodes.delete(user.id)
        await interaction.followUp("Связь удалена")
      } else
        await interaction.followUp("Пользователь не указан")
    } catch (error) {
      await interaction.editReply("Ошибка удаления связи")
      console.log(error)
    }
  },
} as Command