import { CacheType, ChatInputCommandInteraction, Message, PermissionFlagsBits, SlashCommandBuilder } from 'discord.js';
import ConfigController from '../controller/ConfigController';
import ChatController from '../controller/ChatController';
import { Command } from '.';


// const adminPermissions = new PermissionsBitField('Administrator');

export default {
  data: new SlashCommandBuilder()
    .setName('sync_messages')
    .setDescription('Sync all messages')
    .setDefaultMemberPermissions(PermissionFlagsBits.Administrator),
  async execute(interaction) {
    const chatController = new ChatController()

    await interaction.deferReply({ ephemeral: true })

    try {
      const sync = await chatController.syncMessageWithDiscord()
      if (sync) {
        await interaction.followUp("Успешно")
      } else {
        await interaction.followUp("Ошибка синхронизации")
      }
      return
    } catch (error) {
      if (interaction.replied)
        await interaction.editReply("Ошибка синхронизации")
      else
        await interaction.followUp("Ошибка синхронизации")
      console.log(error)
    }
  },
} as Command