import { PermissionFlagsBits, SlashCommandBuilder } from 'discord.js';
import UserController from '../controller/UserController';
import { Command } from '.';


// const adminPermissions = new PermissionsBitField('Administrator');

export default {
  data: new SlashCommandBuilder()
    .setName('sync_users')
    .setDescription('Sync users')
    .setDefaultMemberPermissions(PermissionFlagsBits.Administrator),
  async execute(interaction) {
    const userController = new UserController()

    await interaction.deferReply({ ephemeral: true })

    try {
      const sync = await userController.sync()
      if (sync) {
        await interaction.followUp("Успешно")
      } else {
        await interaction.followUp("Ошибка синхронизации")
      }
      return
    } catch (error) {
      if (interaction.replied)
        await interaction.editReply("Ошибка синхронизации")
      else
        await interaction.followUp("Ошибка синхронизации")
      console.log(error)
    }
  },
} as Command
