import { REST } from "@discordjs/rest";
import { PermissionFlagsBits, Routes } from "discord.js";
import com, { Command } from './commands'

export default function updateCommands() {
  const commands: Command[] = []
  const commandsGlobal: Command[] = []

  if (!process.env.DISCORD_TOKEN)
    throw new Error("Token is null");

  com.forEach((command) => {
    commands.push(command.data.toJSON() as never)
  })

  const rest = new REST({ version: '10' }).setToken(process.env.DISCORD_TOKEN);

  (async () => {
    console.log(`Started refreshing ${commands.length} application (/) commands.`);

    try {
      await rest.put(
        Routes.applicationCommands(String(process.env.CLIENT_ID)),
        { body: [] },
      );
    } catch (e) { }

    try {
      const data: any = await rest.put(
        Routes.applicationGuildCommands(String(process.env.CLIENT_ID), String(process.env.GUILD_ID)),
        { body: commands },
      );

      console.log(`Successfully reloaded ${data.length} application (/) commands.`);
    } catch (error) {
      console.error(error);
    }
  })();
}